const X1 = d3.map(countries_data, d => d.GDP);
const Y1 = d3.map(countries_data, d => d.Population);
const color = ["red", "blue", "green", "orange", "purple"];

const xDomain1 = [0, 15]
const yDomain1 = [0, 400]

const xRange1 = [margin.left, width - margin.right];
const yRange1 = [height - margin.bottom, margin.top];

const xScale1 = d3.scaleLinear(xDomain1, xRange1);
const yScale1 = d3.scaleLinear(yDomain1, yRange1);

const xAxis1 = d3.axisBottom(xScale1);
const yAxis1 = d3.axisLeft(yScale1);

const svgScatter = d3.select("#chart4")
                        .append("svg")
                        .attr("width", width+120)
                        .attr("height", height)

svgScatter.append("g")
            .attr("transform", `translate(0,${height - margin.bottom})`)
            .call(xAxis1);

svgScatter.append("g")
    .attr("transform", `translate(${margin.left},0)`)
    .call(yAxis1);

svgScatter.append("g")
    .selectAll("circle")
    .data(countries_data)
    .join("circle")
    .attr("cx", d => xScale1(d.GDP))
    .attr("cy", d => yScale1(d.Population))
    .attr("r", 10)
    // .attr("fill", d => d['GDP Growth Rate'] (parameter) i: any
    .attr("fill", (d, i) => color[i]);

// axes labels
svgScatter.append("text")
    .attr("class", "x-axis-label")
    .attr("x", width/2)
    .attr("y", height - 10)
    .text("GDP (trillion USD)")

svgScatter.append("text")
    // .attr("class", "y-axis-label")
    .attr("transform", "rotate(-90)")
    .attr("x", -height/2)
    .attr("y", 30)
    .text("Population (million)")



// creating legend

svgScatter.append("text")
    .attr("class", "chart-title")
    .attr("text-anchor", "middle")
    .attr("x", width/2)
    .attr("y", 20)
    .text("Population vs GDP for countries");

svgScatter.append("g")
    .attr("class", "legend")
    .selectAll("circle")
    .data(countries_data)
    .join("circle")
    .attr("cx", width - 20)
    .attr("cy", (d, i) => (i+1)*20)
    .attr("r", 5)
    .attr("fill", (d, i) => color[i]);

svgScatter.select(".legend")
    .selectAll("text")
    .data(countries_data)
    .join("text")
    .attr("x", width)
    .attr("y", (d, i) => (i+1)*20+5)
    .text(d => d.Country);
